<div class="p-20">
	<div class="mb-20">
		<div class="breadcrumbs "  >
			<a class="breadcrumbs__item"
				[routerLink]="['../../../../']">
				<!--<mat-icon svgIcon="arrow-left"></mat-icon>-->
				<span>
				      Все заявления
				</span>
			</a>
			<ng-container *ngIf="data?.entrant.id">
				<span> /</span>
				<a class="breadcrumbs__item"
					[routerLink]="['../../../../../entrants', data?.entrant.id , 'applications']">
					<span >
				     Заявления абитуриента
				</span>
				</a>

			</ng-container>


		</div>
		<div >
			<h3 fxFlex=""> Информация о заявлении </h3>
			<div>
				<ng-container *ngIf="!isEditStatus">
					<button mat-stroked-button color="accent" (click)="selectStatus($event)" class="mr-8"> Изменить статус </button>
					<button mat-flat-button color="accent"
						(click)="setEditStatus()"
						class="mr-8"
						[disabled]="checkValidStatuses('app_edit', this.data?.application?.code_status)">  Редактировать анкету  </button>

				</ng-container>

				<button class="mr-8" mat-flat-button color="accent" (click)="finishEditStatus()"
					*ngIf="isEditStatus">  Завершить редактирование  </button>

				<button  mat-flat-button  color='primary' [matMenuTriggerFor]="printMenu">
					Печать
					<mat-icon svgIcon="chevron-down"></mat-icon>
				</button>
				<mat-menu #printMenu="matMenu">
					<button mat-menu-item disabled>Заявление</button>
					<button mat-menu-item
						*ngIf="agreed === true"
						(click)="printAgreed()">
						Согласие на зачисление
					</button>
					<button mat-menu-item
						*ngIf="agreed === false"
						(click)="printDisagreed()">
						Отзыв согласия на зачисление
					</button>
				</mat-menu>


				<button class="ml-8" mat-stroked-button
					*ngIf="!data?.application.uid_epgu"
					color="warn"
					(click)="deleteApp()" > Удалить </button>



			</div>
		</div>
	</div>

	<div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="16px">
		<div fxFlex="" fxLayout="column">


			<div fxLayout="row wrap" fxLayoutGap="16px">
				<h4 class="" fxFlex="" > #{{data?.application.app_number}} </h4>
				<div class="status">
						<span class="indicator" [appStatusCode]='data?.application.code_status'>
						</span>
					<span>{{data?.application.name_status}} </span>
					<div class="ml-16 comment">
						<ng-container *ngIf="data?.application.status_comment; else commentEmpty">
							<button mat-icon-button color="primary"  [matMenuTriggerFor]="comment" >
								<mat-icon svgIcon="message-text-outline" [matTooltip]="'Комментарий'"></mat-icon>
							</button>
							<mat-menu #comment="matMenu">
								<div class="p-16">
									{{ data?.application.status_comment}}
								</div>

							</mat-menu>

						</ng-container>
						<ng-template #commentEmpty>
							<mat-icon svgIcon="comment-remove-outline"
								color="primary"
								matTooltip="Комментарий отсуствует">
							</mat-icon>
						</ng-template>
					</div>


				</div>

			</div>


			<h5 fxFlex=""> Дата регистрации: {{ data?.application.registration_date | date: 'dd.MM.yyyy HH:mm' }} </h5>
			<h5 fxFlex=""> Дата изменения: {{ (data?.application.changed | date: 'dd.MM.yyyy HH:mm') || "-" }} </h5>
			<h5 fxFlex=""> Конкурсная группа: {{data?.competitive.name}} </h5>
		</div>
		<div class="border-right"></div>
		<div fxFlex="" fxLayout="column">
			<h4 class="mb-12" >
				<a class="highlight cursor-pointer" (click)="goToEntrantDoc()">
					{{data?.entrant.surname}} {{data?.entrant.name}} {{data?.entrant.patronymic}}
				</a>
			</h4>
			<h5 fxFlex=""> {{data?.entrant.birthday | date: 'dd.MM.yyyy'}} <span> СНИЛС: </span>  {{ data?.entrant.snils}} </h5>
		</div>

	</div>
</div>
<div class="p-20" *ngIf="idApplication">
	<mat-tab-group >
		<mat-tab>
			<ng-template mat-tab-label>
				Основная информация
			</ng-template>
			<div class="mt-20">
				<app-application-detail-main-view *ngIf="!isEditStatus" [appId]="idApplication"></app-application-detail-main-view>
				<app-application-detail-main-edit *ngIf="isEditStatus" [appId]="idApplication"></app-application-detail-main-edit>
			</div>

		</mat-tab>
		<mat-tab>
			<ng-template mat-tab-label>
				Документы
			</ng-template>

			<div class="mt-20">
				<app-application-detail-docs-view *ngIf="!isEditStatus" [appId]="idApplication"></app-application-detail-docs-view>
				<app-application-detail-docs-edit *ngIf="isEditStatus"
					[entrantId]="data?.entrant.id"
					[appId]="idApplication"></app-application-detail-docs-edit>
			</div>

		</mat-tab>
		<mat-tab>
			<ng-template mat-tab-label>
				Вступительные испытания
			</ng-template>
			<div class="mt-20">
				<app-application-detail-tests-view *ngIf="!isEditStatus" [appId]="idApplication"></app-application-detail-tests-view>
				<app-application-detail-tests-edit *ngIf="isEditStatus"
					[competitiveId]="data?.competitive.id"
					[appId]="idApplication"></app-application-detail-tests-edit>
			</div>

		</mat-tab>
		<mat-tab>
			<ng-template mat-tab-label>
				Индивидуальные достижения
			</ng-template>
			<div class="mt-20">

				<app-application-detail-achievements-view *ngIf="!isEditStatus" [appId]="idApplication"></app-application-detail-achievements-view>
				<app-application-detail-achievements-edit *ngIf="isEditStatus"
					[competitiveId]="data?.competitive.id"
					[appId]="idApplication"></app-application-detail-achievements-edit>

			</div>

		</mat-tab>
	</mat-tab-group>

</div>



